package com.muyu.markteing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;

import com.muyu.markteing.domain.model.ActivityTeamInfoAddModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
* 商品拼团信息
* @TableName activity_team_info
*/
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "activity_team_info",autoResultMap = true)
public class ActivityTeamInfo extends BaseEntity {

    /**
    * 主键
    */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
    * 拼团名称
    */
    private String name;
    /**
    * 商品ID
    */
    private Long productId;
    /**
    * 商品活动图
    */
    private String productImage;
    /**
    * 活动简介
    */
    private String introduction;
    /**
    * 单位
    */

    private String unit;
    /**
    * 轮播图
    */

    private String imageList;
    /**
    * 活动结束时间
    */
    private Date endTime;
    /**
    * 活动排序
    */
    private Integer sort;
    /**
    * 活动详情
    */
    private String content;
    /**
    * 活动状态
    */
    private String status;
    /**
    * 策略类型
    */
    private String strategyType;
    /**
    * 策略ID
    */
    private Long strategyId;

    /**
     * 添加构造器
     */
    public static ActivityTeamInfo saveModelBuild(ActivityTeamInfoAddModel activityTeamInfoAddModel){
        return ActivityTeamInfo.builder()
                .name(activityTeamInfoAddModel.getName())
                .productId(activityTeamInfoAddModel.getProductId())
                .productImage(activityTeamInfoAddModel.getProductImage())
                .introduction(activityTeamInfoAddModel.getIntroduction())
                .unit(activityTeamInfoAddModel.getUnit())
                .imageList(activityTeamInfoAddModel.getProductImage())
                .endTime(activityTeamInfoAddModel.getEndTime())
                .sort(activityTeamInfoAddModel.getSort())
                .content(activityTeamInfoAddModel.getContent())
                .strategyType(activityTeamInfoAddModel.getStrategyType())
                .strategyId(activityTeamInfoAddModel.getStrategyId())
                .build();
    }


}
