package com.muyu.markteing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
* 商品拼团规格信息表
* @TableName activity_team_product_sku_info
*/
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "activity_team_product_sku_info",autoResultMap = true)
public class ActivityTeamProductSkuInfo extends BaseEntity {

    /**
    * 主键
    */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
    * 活动ID
    */

    private Long teamId;
    /**
    * 商品ID
    */

    private Long productId;
    /**
    * 商品SKU
    */

    private String productSku;
    /**
    * 拼团库存
    */

    private Long teamStock;

    /**
     * 剩余库存
     */

    private Long remainStock;
    /**
    * 拼团价格
    */

    private BigDecimal teamPrice;

}
