package com.muyu.markteing.domain.model;

import com.muyu.common.core.web.model.QueryModel;

import com.muyu.markteing.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Function;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoListQueryModel extends QueryModel<ActivityTeamInfoListQueryModel> {
    /** 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 商品库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 活动状态
     */
    private String status;

    public static  ActivityTeamInfoListQueryModel infoBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListQueryModelBuilder,ActivityTeamInfoListQueryModel> function){
        ActivityTeamInfoListQueryModel build = ActivityTeamInfoListQueryModel.builder()
                .id(activityTeamInfo.getId())
                .name(activityTeamInfo.getName())

                .endTime(activityTeamInfo.getEndTime())
                .productImage(activityTeamInfo.getProductImage())

                .status(activityTeamInfo.getStatus())
                .build();
        return function.apply(
                ActivityTeamInfoListQueryModel.builder()
                        .id(activityTeamInfo.getId())
                        .name(activityTeamInfo.getName())
                        .endTime(activityTeamInfo.getEndTime())
                        .productImage(activityTeamInfo.getProductImage())
                        .status(activityTeamInfo.getStatus())
        );
    }
}

