package com.muyu.markteing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * 团购优惠力度模型
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TeamProductDiscountPriceModel {
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 团购优惠价格
     */
    private BigDecimal teamPrice;
    /**
     * 优惠力度
     */
    private Double discount;

    /**
     * 通过商品价格和团购价格  生成优惠力度
     * @param productPrice
     * @param teamPrice
     * @return
     */
    public static  TeamProductDiscountPriceModel of(BigDecimal productPrice,BigDecimal teamPrice){
     return    TeamProductDiscountPriceModel.builder()
                .productPrice(productPrice)
                .teamPrice(teamPrice)
                .discount(productPrice.subtract(teamPrice).divide(productPrice, 2, RoundingMode.HALF_UP).doubleValue())
                .build();
    }

}
