package com.muyu.markteing.domain.resp;


import com.muyu.markteing.domain.model.ActivityTeamInfoListQueryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor

@SuperBuilder
public class ActivityTeamInfoResp {
    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 商品库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 活动状态
     */
    private String status;

    /**
     * 列表查询结果 构建为响应对象
     * @param activityTeamInfoListQueryModel 列表数据查询结果
     * @return 响应对象
     */
    public static ActivityTeamInfoResp listModelBuild(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel) {
        return ActivityTeamInfoResp.builder()
                .id(activityTeamInfoListQueryModel.getId())
                .name(activityTeamInfoListQueryModel.getName())
                .openTeamNumber(activityTeamInfoListQueryModel.getOpenTeamNumber())
                .addTeamNumber(activityTeamInfoListQueryModel.getAddTeamNumber())
                .attendNumber(activityTeamInfoListQueryModel.getAttendNumber())
                .endTime(activityTeamInfoListQueryModel.getEndTime())
                .teamPrice(activityTeamInfoListQueryModel.getTeamPrice())
                .productPrice(activityTeamInfoListQueryModel.getProductPrice())
                .productImage(activityTeamInfoListQueryModel.getProductImage())
                .remainStock(activityTeamInfoListQueryModel.getRemainStock())
                .status(activityTeamInfoListQueryModel.getStatus())
                .teamStock(activityTeamInfoListQueryModel.getTeamStock())
                .build();
    }


}
