package com.muyu.marketing.team.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;

import com.muyu.marketing.team.mapper.ActivityTeamOpenInfoMapper;
import com.muyu.marketing.team.service.ActivityTeamOpenInfoService;
import com.muyu.markteing.domain.ActivityTeamOpenInfo;
import org.springframework.stereotype.Service;

@Service
public class ActivityTeamOpenInfoServiceImpl  extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo> implements ActivityTeamOpenInfoService {
    /**
     * 通过活动d和开发类型查询开团梳理
     * @param teamId
     * @param teamOpenEnum
     * @return
     */

    @Override
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnum teamOpenEnum) {

        LambdaQueryWrapper<ActivityTeamOpenInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamId,teamId);
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamType,teamOpenEnum.code());

        return   this.count(queryWrapper);
    }
}

